No puedo ejecutar java.

Asked by Marcos Quintana on 2017-06-07

Buenos días, me gustaría saber como puedo ejecutar java en Mozilla Firefox V.53 se que ya no dan soporte para Java pero si no puedo ejecutar java me veo obligado a cambiar de navegador, pues necesito ejecutarlo porque visito web que lo requieren. Hay alguna solución?
Gracias por vuestra atención.

ProblemType: Bug
DistroRelease: Ubuntu 16.10
Package: firefox 53.0.3+build1-0ubuntu0.16.10.2
ProcVersionSignature: Ubuntu 4.8.0-53.56-generic 4.8.17
Uname: Linux 4.8.0-53-generic x86_64
AddonCompatCheckDisabled: False
ApportVersion: 2.20.3-0ubuntu8.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: marcosqd 2059 F.... pulseaudio
BuildID: 20170524174609
Channel: Unavailable
CurrentDesktop: Unity
Date: Wed Jun 7 07:20:27 2017
Extensions: extensions.sqlite corrupt or missing
ForcedLayersAccel: False
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
IncompatibleExtensions: Unavailable (corrupt or non-existant compatibility.ini or extensions.sqlite)
InstallationDate: Installed on 2017-04-14 (53 days ago)
InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
IpRoute:
 default via 192.168.1.1 dev enp2s0 proto static metric 100
 192.168.1.0/24 dev enp2s0 proto kernel scope link src 192.168.1.73 metric 100
Locales: extensions.sqlite corrupt or missing
Plugins: Shockwave Flash - /usr/lib/flashplugin-installer/libflashplayer.so
PrefSources: prefs.js
ProcEnviron:
 LANGUAGE=es
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=es_ES.UTF-8
 SHELL=/bin/bash
Profiles: Profile0 (Default) - LastVersion=53.0.3/20170524174609 (In use)
RunningIncompatibleAddons: False
SourcePackage: firefox
Themes: extensions.sqlite corrupt or missing
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/03/2008
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.35
dmi.board.name: Tangiz
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.asset.tag: None
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.35:bd07/03/2008:svnAcer:pnExtensa7620:pvr0100:rvnAcer:rnTangiz:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Extensa 7620
dmi.product.version: 0100
dmi.sys.vendor: Acer

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu firefox Edit question
Assignee:
No assignee Edit question
Last query:
2017-06-07
Last reply:
2017-06-08

This question was originally filed as bug #1696312.

SUPER_ET_DUPER (machst) said : #1

This user would like to know how to run Java in Firefox.

There is a PPA called WebUpD8 which easily installs Java I suggest you use that but the release of Ubuntu you are using us EOL (end of life) at some point next month
https://wiki.ubuntu.com/Releases

After this you will receive no updates and no support from the community (the OS will still function). I suggest you upgrade to 17.04 when you can.

Alternatively, wipe the install off and do a clean install of Xenial (Ubuntu 16.04). Xenial is LTS and supported til April 2021 which is longer than even Ubuntu 17.10 when it is released in October

Can you help with this problem?

Provide an answer of your own, or ask Marcos Quintana for more information if necessary.

To post a message you must log in.